class Public::ContractTemplatesController < Public::BaseController
  skip_after_action :verify_authorized, :verify_policy_scoped
  before_action :set_account, :set_project

  def index
    @contract_templates = @project.contract_templates.where(id: params[:contract_template_ids]).order_by_name.paginate(page: params[:page])
  end

  private

  def set_project
    @project = @account.projects.find(params[:project_id])
  end

  def set_account
    @account = Account.find_by(slug: params[:account_id])
  end
end